[GE users] qmon help

mhanby mhanby at uab.edu
Fri Mar 13 14:44:16 GMT 2009


Strange, I have openmotif-2.3.0 and openmotif22-2.2.3 (i386 and x86_64
for both) and I can't run qmon with X forwarded to my Fedora 10
workstation. I see the splash screen and then qmon tanks:

Warning: Cannot convert string
"-adobe-helvetica-medium-r-*--14-*-*-*-p-*-*-*" to type FontStruct
Warning: Cannot convert string
"-adobe-helvetica-bold-r-*--14-*-*-*-p-*-*-*" to type FontStruct
Warning: Cannot convert string
"-adobe-helvetica-medium-r-*--20-*-*-*-p-*-*-*" to type FontStruct
Warning: Cannot convert string
"-adobe-helvetica-medium-r-*--12-*-*-*-p-*-*-*" to type FontStruct
Warning: Cannot convert string
"-adobe-helvetica-medium-r-*--24-*-*-*-p-*-*-*" to type FontStruct
Warning: Cannot convert string
"-adobe-courier-medium-r-*--14-*-*-*-m-*-*-*" to type FontStruct
Warning: Cannot convert string
"-adobe-courier-bold-r-*--14-*-*-*-m-*-*-*" to type FontStruct
Warning: Cannot convert string
"-adobe-courier-medium-r-*--12-*-*-*-m-*-*-*" to type FontStruct
Warning: Cannot convert string
"-adobe-helvetica-medium-r-*--10-*-*-*-p-*-*-*" to type FontStruct
X Error of failed request:  BadName (named color or font does not exist)
  Major opcode of failed request:  45 (X_OpenFont)
  Serial number of failed request:  525
  Current serial number in output stream:  536

I always use the command line, so never even tried to run qmon on this
cluster / workstation combo.
-----Original Message-----
From: prentice [mailto:prentice at ias.edu] 
Sent: Friday, March 13, 2009 8:05 AM
To: users at gridengine.sunsource.net
Subject: Re: [GE users] qmon help

hnyats wrote:
>> hnyats writes:
>>> "qmon: error while loading shared libraries: libXm.so.3: wrong ELF
>>> class: ELFCLASS32"
>> Looks like you are trying to run a 64 bit qmon using 32 bit Motif
>> libraries.
> 
> I've installed 64 bit Motif. Now i get teh following error 
> qmon: symbol lookup error: qmon: undefined symbol: _XmStrings22


What LInux distro and version are you using? RHEL-based distros have
multiple OpenMotif packages:

# yum search openmotif
============================== Matched: openmotif
==============================
openmotif.i386 : Open Motif runtime libraries and executables.
openmotif.x86_64 : Open Motif runtime libraries and executables.
openmotif-devel.i386 : Open Motif development libraries and header
files.
openmotif-devel.x86_64 : Open Motif development libraries and header
files.
openmotif22.i386 : Open Motif runtime libraries and executables
openmotif22.x86_64 : Open Motif runtime libraries and executables


I think you need to install the openmotif22 packages.

-- 
Prentice

------------------------------------------------------
http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessage
Id=129824

To unsubscribe from this discussion, e-mail:
[users-unsubscribe at gridengine.sunsource.net].

------------------------------------------------------
http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessageId=129918

To unsubscribe from this discussion, e-mail: [users-unsubscribe at gridengine.sunsource.net].



More information about the gridengine-users mailing list